<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Supportmessages extends REST_Controller {
    
	
    public function __construct() {
       parent::__construct();
       $this->load->model('common');
      
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('SupportMessages');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        $input['paymentDate'] = date('d-m-Y h:i:s A');
        
        $this->common->addnewdatamodel('SupportMessages', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('SupportMessages', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('SupportMessages', $id);
       
        $this->response(['Support messages deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}